curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/smsVerifications/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"verificationUUID": "95b11417-f18f-457f-8804-68e361f9164f",
"phoneCountryCode": "An example name",
"phoneNumber": "An example name",
"isoCountryCode": "US",
"captchaToken": "<string>"
}
'{
"verificationUUID": "95b11417-f18f-457f-8804-68e361f9164f",
"phoneNumber": "9171113333",
"phoneCountryCode": "1",
"isoCountryCode": "US"
}curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/smsVerifications/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"verificationUUID": "95b11417-f18f-457f-8804-68e361f9164f",
"phoneCountryCode": "An example name",
"phoneNumber": "An example name",
"isoCountryCode": "US",
"captchaToken": "<string>"
}
'{
"verificationUUID": "95b11417-f18f-457f-8804-68e361f9164f",
"phoneNumber": "9171113333",
"phoneCountryCode": "1",
"isoCountryCode": "US"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Sms Verification Id
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
255^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
255^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
4^[a-zA-Z]{2,4}\d?$"US"
When provided, used to verify that a captcha is valid and get the success/failure result from the captcha provider server-side.
Successful response, a new code has been set
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
This field contains the phone number in the country. This could also contain the area code within a country.
"9171113333"
This field contains the phone international country code. See https://countrycode.org/
"1"
ISO-3166 two-character country code. See https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes
"US"
Was this page helpful?